Subject: error compiling groff-1.10 under b17.1
From: [email-masked] (Pasa Guglielmo)

21 May 1997 17:53:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Mailer: Mozilla 3.01Gold [fr] (Win95; I)
Original-To: [email-masked]
X-MIME-Autoconverted: from quoted-printable to 8bit by cygnus.com id HAA22354
Original-Sender: [email-masked]

> g++ -I. -I. -I../include -I./../include -DHAVE_UNISTD_H=1 -DHAVE_DIRENT_H=1 -DH
> VE_LIMITS_H=1 -DHAVE_SYS_DIR_H=1 -DHAVE_STDLIB_H=1 -DSTDLIB_H_DECLARES_PUTENV=1
> -DSTDIO_H_DECLARES_POPEN=1 -DSTDIO_H_DECLARES_PCLOSE=1 -DHAVE_CC_OSFCN_H=1 -DHA
> E_CC_LIMITS_H=1 -DRETSIGTYPE=void -DHAVE_STRUCT_EXCEPTION=1 -DHAVE_RENAME=1 -DH
> VE_MKSTEMP=1 -DWCOREFLAG=0200  -g -O  -c index.cc
> index.cc: In method `int index_search_item::load(int)':
> index.cc:213: warning: implicit declaration of function `int strchr(...)'
> index.cc:213: warning: assignment to `const char *' from `int' lacks a cast
> index.cc: In function `class search_item * make_index_search_item(const char *,
> int)':
> index.cc:276: warning: implicit declaration of function `int strcat(...)'
> index.cc: In method `const char * index_search_item::munge_filename(const char
> )':
> index.cc:429: invalid types `int[int]' for array subscript
> index.cc: In method `void index_search_item::read_common_words_file()':
> index.cc:548: no matching function for call to `index_search_item::munge_filena
> e (int)'
> index.cc:425: candidates are: index_search_item::munge_filename(const char *)
> index.cc: In method `void index_search_item::check_files()':
> index.cc:608: warning: initialization to `const char *' from `int' lacks a cast
> index.cc:610: warning: assignment to `const char *' from `int' lacks a cast
> make: *** [index.o] Error 1
> make: *** [libbib] Error 2
> make: *** [all] Error 2

This is what I get after launching 'make'. I'm using b17.1.
I use the groff-1.10 distribution of Linux on which I did ./configure.
I've already installed grep-2.0 succesfully and also termcap (which I
got also in Linux/Slackware).

and finally for less-332 :

> gcc -I. -c  -g -O output.c
> output.c:288: warning: static declaration for `iprintf' follows non-static
> output.c: In function `iprintf':
> output.c:290: argument `fmt' doesn't match prototype
> D:\cygnus\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32/cygnus-2.7.2-961023/../../..
> /../i386-cygwin32/include/stdio.h:175: prototype declaration
> output.c:290: number of arguments doesn't match prototype
> D:\cygnus\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32/cygnus-2.7.2-961023/../../..
> /../i386-cygwin32/include/stdio.h:175: prototype declaration
> make: *** [output.o] Error 1

-- 
Sincerely,
				Pasa Guglielmo
------------------------------------------------------------------
& e-mail  : [email-masked]  &  tel.:  +41 (0)24 485 50 40  &
& mailing : Pasa Guglielmo        &  fax :  +41 (0)24 485 50 44  &
& 	    Rte des Cases 17A     & 	  	  		 &	
& 	 CH-1890 St-Maurice       &				 &	
&	    (Switzerland)         &				 &	
------------------------------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".